=== debian/changelog ===
ros-r2b2-rmw-fastrtps-cpp (0.0.2-0xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Ricardo González <ricardogonzalez@eprosima.com>  Sat, 01 Jul 2017 06:24:18 -0000
